summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-01-14 08:52:45 +0000
committerJim Meyering <jim@meyering.net>2002-01-14 08:52:45 +0000
commitb00199bd9b9c3605859083c816c6c59a84404ca1 (patch)
treef8e0b280b40756438c13e5c77db4916cfd09e85a /tests
parent98ad58770935ae5bc084e196871a3c7d0741c623 (diff)
downloadcoreutils-b00199bd9b9c3605859083c816c6c59a84404ca1.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/sort33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/misc/sort b/tests/misc/sort
new file mode 100755
index 000000000..06cf6ace7
--- /dev/null
+++ b/tests/misc/sort
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+: ${PERL=perl}
+: ${srcdir=.}
+
+case "$PERL" in
+ *'missing perl')
+ echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test"
+ exit 77
+ ;;
+esac
+
+exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF
+require 5.003;
+use strict;
+
+(my $program_name = $0) =~ s|.*/||;
+
+# Turn off localisation of executable's ouput.
+@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
+
+my @Tests =
+ (
+ ['m1', '-m', {IN=> {empty=> ''}}, {IN=> {f=> "foo\n"}}, {OUT=>"foo\n"}],
+ );
+
+my $save_temps = $ENV{DEBUG};
+my $verbose = $ENV{VERBOSE};
+
+my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
+my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
+exit $fail;
+EOF